summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGerd Moellmann <gerd@gnu.org>2001-08-31 11:23:06 +0000
committerGerd Moellmann <gerd@gnu.org>2001-08-31 11:23:06 +0000
commit4a7db98076eb918244a1f8f3ef7605ec97ab0719 (patch)
tree1e7e14ace33c14118cfd98f9e6eab5d1162d77d5
parent7e8bba38e2c79d7584d9f029fe28fa25f98e79f4 (diff)
downloademacs-EMACS_PRETEST_21_0_105.tar.gz
*** empty log message ***EMACS_PRETEST_21_0_105
-rw-r--r--admin/README2
-rwxr-xr-xadmin/diff-tar-files44
2 files changed, 45 insertions, 1 deletions
diff --git a/admin/README b/admin/README
index c678c31727a..ddb1afa2223 100644
--- a/admin/README
+++ b/admin/README
@@ -7,7 +7,7 @@ Brief description of scripts found here:
build-configs build Emacs in various configurations
check-doc-strings check doc strings against documentation
-diff-tar-files print a diff of the files containing in tar files
+diff-tar-files show files added/removed between two tar files
make-emacs build Emacs in various ways
quick-install-emacs install emacs quickly (`incrementally')
revdiff get CVS diffs of files
diff --git a/admin/diff-tar-files b/admin/diff-tar-files
new file mode 100755
index 00000000000..6536a5e109f
--- /dev/null
+++ b/admin/diff-tar-files
@@ -0,0 +1,44 @@
+#! /bin/sh
+
+# Copyright (C) 2001 Free Software Foundation, Inc.
+#
+# This file is part of GNU Emacs.
+#
+# GNU Emacs is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Emacs is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GNU Emacs; see the file COPYING. If not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+if [ $# != 2 ]; then
+ cat <<EOF
+Usage: $0 OLD-TAR NEW-TAR
+
+Print a diff of the files in OLD-TAR and NEW-TAR. Used for checking
+the contents of Emacs tar files.
+EOF
+ exit 1;
+fi
+
+old_tar=$1
+new_tar=$2
+
+old_tmp=/tmp/old.$$
+new_tmp=/tmp/new.$$
+trap "rm -f $old_tmp $new_tmp; exit 1" 1 2 15
+
+tar tzf $old_tar | sed -e 's,^[^/]*,,' | sort > $old_tmp
+tar tzf $new_tar | sed -e 's,^[^/]*,,' | sort > $new_tmp
+diff -u $old_tmp $new_tmp
+rm -f $new_tmp $old_tmp
+
+